BizKitHub
DocsAPI ReferenceCalendar Event/bff/calendar/event-late-cancel
postCalendar EventAdmin BFF

/bff/calendar/event-late-cancel

Releases the slot of a reservation: the event is cancelled, the order stays paid and unchanged, nothing is refunded and no e-mail is sent. No time limits for administrators. Deletes the lock passcode.

Calendar EventpostBffCalendarEvent-late-cancel

Parameters

JSON body

Request body

application/json
eventIdstringRequired

External event code identifier.

Response schema

1 status code documented

200Success
object | object
One of 2:
Variant 1
status"cancelled"Required
cancelledAtstringRequired
lockCodeDeletedbooleanRequired
Variant 2
status"already_cancelled"Required
cancelledAtstringRequired

Response example

application/json
{
  "status": "cancelled",
  "cancelledAt": "example_cancelledAt",
  "lockCodeDeleted": false
}

Request example

POST /bff/calendar/event-late-cancel

post
curl -X POST "https://api.bizkithub.com/bff/calendar/event-late-cancel" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "eventId": "example_eventId"
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key